import request from '@/utils/request'

// 查询个体变更信息列表
export function listInformation(query) {
  return request({
    url: '/basicData/xcrIndividualChangeInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询个体变更信息详细
export function getInformation(xhCodeId) {
  return request({
    url: '/basicData/xcrIndividualChangeInformation/' + xhCodeId,
    method: 'get'
  })
}

// 新增个体变更信息
export function addInformation(data) {
  return request({
    url: '/basicData/xcrIndividualChangeInformation',
    method: 'post',
    data: data
  })
}

// 修改个体变更信息
export function updateInformation(data) {
  return request({
    url: '/basicData/xcrIndividualChangeInformation',
    method: 'put',
    data: data
  })
}

// 删除个体变更信息
export function delInformation(xhCodeId) {
  return request({
    url: '/basicData/xcrIndividualChangeInformation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
  return request.post('/basicData/xcrIndividualChangeInformation/delete',ids)
}
